## dods.dap.parser
Class ErrorParser

    java.lang.Object
      dods.dap.parser.ErrorParser

All Implemented Interfaces:
  ErrorParserConstants

public class ErrorParser
extends Object
implements ErrorParserConstants

Field Summary
`(package private) SimpleCharStream` `jj_input_stream`
`Token` `jj_nt`
`Token` `token`
`ErrorParserTokenManager` `token_source`

Fields inherited from interface dods.dap.parser.ErrorParserConstants
`CODE, DEFAULT, EOF, ERROR, INT, MSG, PROGRAM, PTYPE, QUOTED_STR, STR, tokenImage, UNQUOTED_STR, UNTERM_QUOTE`

Constructor Summary
`ErrorParser(ErrorParserTokenManager tm)`
`ErrorParser(InputStream stream)`
`ErrorParser(Reader stream)`

Method Summary
`void` `Code()`
`void` `Contents()`
`void` `Description()`
`void` `disable_tracing()`
`void` `enable_tracing()`
`void` `ErrorObject(DODSException exception)`
`ParseException` `generateParseException()`
`Token` `getNextToken()`
`Token` `getToken(int index)`
`void` `Message()`
`void` `Program()`
`void` `ProgramCode()`
`void` `ProgramType()`
`void` `ReInit(ErrorParserTokenManager tm)`
`void` `ReInit(InputStream stream)`
`void` `ReInit(Reader stream)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### token_source

    public ErrorParserTokenManager token_source

### jj_input_stream

    SimpleCharStream jj_input_stream

### token

    public Token token

### jj_nt

    public Token jj_nt

Constructor Detail

### ErrorParser

    public ErrorParser(InputStream stream)

### ErrorParser

    public ErrorParser(Reader stream)

### ErrorParser

    public ErrorParser(ErrorParserTokenManager tm)

Method Detail

### ErrorObject

    public final void ErrorObject(DODSException exception)
                           throws ParseException

  Throws:
    `ParseException`

### Contents

    public final void Contents()
                        throws ParseException

  Throws:
    `ParseException`

### Description

    public final void Description()
                           throws ParseException

  Throws:
    `ParseException`

### Program

    public final void Program()
                       throws ParseException

  Throws:
    `ParseException`

### Code

    public final void Code()
                    throws ParseException

  Throws:
    `ParseException`

### Message

    public final void Message()
                       throws ParseException

  Throws:
    `ParseException`

### ProgramType

    public final void ProgramType()
                           throws ParseException

  Throws:
    `ParseException`

### ProgramCode

    public final void ProgramCode()
                           throws ParseException

  Throws:
    `ParseException`

### ReInit

    public void ReInit(InputStream stream)

### ReInit

    public void ReInit(Reader stream)

### ReInit

    public void ReInit(ErrorParserTokenManager tm)

### getNextToken

    public final Token getNextToken()

### getToken

    public final Token getToken(int index)

### generateParseException

    public final ParseException generateParseException()

### enable_tracing

    public final void enable_tracing()

### disable_tracing

    public final void disable_tracing()